Bug 130523 - initrd makes a system unusable by a bogus inclusion of udev
initrd makes a system unusable by a bogus inclusion of udev
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-08-20 20:14 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-23 10:51:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-08-20 20:14:59 EDT
Description of problem:

A system startup files use the following tests

if [ -f /etc/sysconfig/udev ];then
        . /etc/sysconfig/udev

if [ "$USE_UDEV" = "yes" -a "$UDEV_RAMFS" = "yes" ]; then
        [ -x /sbin/start_udev ] && /sbin/start_udev

But new version of mkinitrd has this:

if [ -f /etc/udev/udev.conf ]; then
    . /etc/udev/udev.conf
    [ "$USE_UDEV" = "yes" -a "$UDEV_INITRD" = "yes" -a -x
/sbin/udevstart ] || USE_UDEV=
    # use ramfs if keep_dev is set
    [ "$UDEV_KEEP_DEV" = "yes" ] && UDEV_RAMFS="yes"

The net result is if 'udev' is installed but not turned on
then after a boot one ends up with system one can barely
log on because most of devices are missing and what is left,
including things like /dev/null and /dev/zero, has 600 permissions.
An attempt to start X, which is a natural thing in a startup,
kills a machine cold with a blank screen.

Recovery is not obvious as '--noudev' flag to mkinitrd is
not documented either in 'mkinitrd --help' nor in 'man mkinitrd'
and also one has to guess that this is mkinitrd screwing up

Version-Release number of selected component (if applicable):
Comment 1 Jeremy Katz 2004-08-23 10:51:53 EDT
initscripts was the broken one in this case, it's fixed since. 

Note You need to log in before you can comment on or make changes to this bug.